VARKON Version 1.15 1997-10-24

> ## perp_view - Procedure

> Sets perspective
> Description
> Changes the viewing distance for named view. Viewing distance is used to create true 3D perspective projections. A viewing distance of zero turns true perspective off and switches to parallel projection. This is also the default when a new view is created
> Syntax
> perp_view(name, dist)

> STRING | name*15;
> FLOAT | dist;

> Principal parameters

> name | - The name of the view
> dist | - The new viewing distance

> Optional parameters

> None. |

> Comments
> Viewing distance is measured as the true distance between the observer and X=Y=Z=0 in the view coordinate system. It is therefore important to assure that the distance is large enough to place the observer well outside the model. A viewing distance smaller than the size of the model would mean entering into the model and looking at it from the inside out. Currently VARKON does not support that.
> In order to display the model with respect to the new viewing distance use rep_view() with appropriate parameters. perp_view() does not update the display automatically.

VARKON Homepage | Index